set(0,'defaultAxesFontSize',12);
set(0,'defaultAxesFontName','century');
set(0,'defaultTextFontSize',12);
set(0,'defaultTextFontName','century');

%%
times = 1990:1990+T-2;

for indexPP=1:length(listPP)

if (listPP(indexPP) == 1) | (listPP(indexPP) == 100)    
    indexP = listPP(indexPP) ;
    
    if (listPP(indexPP) == 100)  
        indexP0 = 1;
    else
        indexP0 = indexP;
    end
    
figure(1)
subplot(3,3,1)
plot(times, reshape(b_path_sum(indexP,1:end-1)./y_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
title('b^G/y', 'FontSize', 20)
subplot(3,3,2)
plot(times, log(reshape(y_path_sum(indexP,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(indexP,1:30),[],1))), 'LineWidth', 2)
hold on
title('y', 'FontSize', 20)
subplot(3,3,3)
%plot(times, log(reshape(i_path_sum(indexP,1:end-1),[],1)/ss_sum(indexP0,2)), 'LineWidth', 2)
plot(times, log(reshape(i_path_sum(indexP,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(indexP,1:30),[],1))), 'LineWidth', 2)
hold on
title('i', 'FontSize', 20)
subplot(3,3,7)
plot(times, reshape(CDS_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2)
hold on
title('CDS', 'FontSize', 20)
subplot(3,3,8)
plot(times, reshape(futureTauK_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
title('\tau^K', 'FontSize', 20)
subplot(3,3,9)
plot(times, reshape(lambda_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
title('\lambda^Y', 'FontSize', 20)
subplot(3,3,4)
plot(times, reshape(spreadrg_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
%plot(times, reshape(spreadrgd_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
%plot(times, reshape(futureRG_path_sum(indexP,1:end-1),[],1)-1, '--', 'LineWidth', 1);
title('R^G-1', 'FontSize', 20)
subplot(3,3,5)
plot(times, reshape(spreadrk_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
%plot(times, reshape(futurePHI0_path_sum(indexP,1:end-1),[],1)-1-reshape(spreadrg_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
%plot(times, reshape(futurePHId_path_sum(indexP,1:end-1),[],1)-1-reshape(spreadrgd_path_sum(indexP,1:end-1),[],1), 'LineWidth', 1.5);
%plot(times, reshape(futurePHI_path_sum(indexP,1:end-1),[],1)-reshape(futureRG_path_sum(indexP,1:end-1),[],1), '--', 'LineWidth', 1);
title('R^K-R^G', 'FontSize', 20)
subplot(3,3,6)
%h(1)=plot(times, reshape(futureRD0_path_sum(indexP,1:end-1),[],1)-1-reshape(spreadrg_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
h(1)=plot(times, reshape(spreadrd_path_sum(indexP,1:end-1),[],1), 'LineWidth', 2);
hold on
%plot(times, reshape(futureRDd_path_sum(indexP,1:end-1),[],1)-1-reshape(spreadrgd_path_sum(indexP,1:end-1),[],1), 'LineWidth', 1.5)
%plot(times, reshape(futureRD_path_sum(indexP,1:end-1),[],1)-reshape(futureRG_path_sum(indexP,1:end-1),[],1), '--', 'LineWidth', 1);
title('R^D-R^G', 'FontSize', 20)

if length(listPP) >=8 
    subplot(3,3,1)
    plot(times,reshape(b_path_sum(2,1:end-1)./y_path_sum(2,1:end-1),[],1), 'r:', 'LineWidth', 2)
    subplot(3,3,2)
    plot(times, log(reshape(y_path_sum(2,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(2,1:30),[],1))), 'r:','LineWidth', 2)
    subplot(3,3,3)
    plot(times, log(reshape(i_path_sum(2,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(2,1:30),[],1))), 'r:','LineWidth', 2)
    subplot(3,3,7)
    plot(times, reshape(CDS_path_sum(2,1:end-1),[],1), 'r:','LineWidth', 2)
    subplot(3,3,8)
    plot(times, reshape(futureTauK_path_sum(2,1:end-1),[],1), 'r:','LineWidth', 2);
    subplot(3,3,9)
    plot(times, reshape(lambda_path_sum(2,1:end-1),[],1),'r:', 'LineWidth', 2);
    subplot(3,3,4)
    plot(times, reshape(spreadrg_path_sum(2,1:end-1),[],1), 'r:','LineWidth', 2);
    subplot(3,3,5)
    plot(times, reshape(spreadrk_path_sum(2,1:end-1),[],1), 'r:','LineWidth', 2);
    subplot(3,3,6)
    h(2)=plot(times, reshape(spreadrd_path_sum(2,1:end-1),[],1),'r:', 'LineWidth', 2);
end

subplot(3,3,1)
plot(times(1:30), B_Y_tab(2,16:end), 'ko-')
subplot(3,3,2)
plot(times(1:30),Y_tab(3,16:end), 'ko-')
%plot(times(1:30),exp(Y_tab(3,16:end))-1, 'ko-')
subplot(3,3,3)
plot(times(1:30),I_tab(3,16:end), 'ko-')
subplot(3,3,7)
plot(times(1:30),data.CDSspread(16:end), 'ko-');
%ylim([-0.02 0.6])
subplot(3,3,4)
plot(times(1:30),data.bondspread(16:end), 'ko-');
ylim([-0.02 0.06])
subplot(3,3,5)
plot(times(1:30),data.creditspread(16:end), 'ko-')
ylim([-0.02 0.05])
subplot(3,3,6)
h(3)=plot(times(1:30),data.depositspread(16:end), 'ko-');
ylim([-0.02 0.04])

if (listPP(indexPP) == 1)
    fprintf('average growth rate (difference from trend growth) from 2000 to 2019: %8.5f \n', log(y_path(30)/y_path(11))/20 );
end

hold off

if length(listPP) >=8 
    l=legend(h([1, 2, 3]), 'Benchmark model','All T tax', 'Data');
else
    l=legend(h([1, 3]), 'Benchmark model', 'Data');
end
legend boxoff
set(l,'FontSize',14); 

end

end

%%
if length(listPP) >=8 
    
    times5 = 1990:5:1990+T-2;
    
%%
figure(2)
subplot(2,3,1)
plot(times,reshape(b_path_sum(1,1:end-1)./y_path_sum(1,1:end-1),[],1),'k', 'LineWidth', 2)
hold on
plot(times,reshape(b_path_sum(3,1:end-1)./y_path_sum(3,1:end-1),[],1), 'k--', 'LineWidth', 2)
plot(times,reshape(b_path_sum(5,1:end-1)./y_path_sum(5,1:end-1),[],1), 'r', 'LineWidth', 2)
plot(times,reshape(b_path_sum(4,1:end-1)./y_path_sum(4,1:end-1),[],1), 'b:', 'LineWidth', 2)
plot(times5,reshape(b_path_sum(1,1:5:end-1)./y_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5)
title('b^G/y', 'FontSize', 20)
subplot(2,3,2)
plot(times, log(reshape(y_path_sum(1,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))), 'k', 'LineWidth', 2)
hold on
plot(times, log(reshape(y_path_sum(3,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(3,1:30),[],1))), 'k--', 'LineWidth', 2)
plot(times, log(reshape(y_path_sum(5,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(5,1:30),[],1))), 'r','LineWidth', 2)
plot(times, log(reshape(y_path_sum(4,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(4,1:30),[],1))), 'b:','LineWidth', 2)
plot(times5, log(reshape(y_path_sum(1,1:5:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('y', 'FontSize', 20)
subplot(2,3,3)
plot(times, log(reshape(i_path_sum(1,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))), 'k','LineWidth', 2)
hold on
plot(times, log(reshape(i_path_sum(3,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(3,1:30),[],1))), 'k--','LineWidth', 2)
plot(times, log(reshape(i_path_sum(5,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(5,1:30),[],1))), 'r', 'LineWidth', 2)
plot(times, log(reshape(i_path_sum(4,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(4,1:30),[],1))), 'b:', 'LineWidth', 2)
plot(times5, log(reshape(i_path_sum(1,1:5:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('i', 'FontSize', 20)
subplot(2,3,4)
plot(times,reshape(spreadrg_path_sum(1,1:end-1),[],1),'k-', 'LineWidth', 2);
hold on
plot(times,reshape(spreadrg_path_sum(3,1:end-1),[],1), 'k--', 'LineWidth', 2);
plot(times,reshape(spreadrg_path_sum(5,1:end-1),[],1), 'r', 'LineWidth', 2);
plot(times,reshape(spreadrg_path_sum(4,1:end-1),[],1), 'b:', 'LineWidth', 2);
plot(times5,reshape(spreadrg_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5);
title('R^G-1', 'FontSize', 20)
subplot(2,3,5)
plot(times,reshape(spreadrk_path_sum(1,1:end-1),[],1),'k-', 'LineWidth', 2)
hold on
plot(times,reshape(spreadrk_path_sum(3,1:end-1),[],1),'k--', 'LineWidth', 2)
plot(times,reshape(spreadrk_path_sum(5,1:end-1),[],1), 'r', 'LineWidth', 2)
plot(times,reshape(spreadrk_path_sum(4,1:end-1),[],1), 'b:', 'LineWidth', 2)
plot(times5,reshape(spreadrk_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5)
title('R^K-R^G', 'FontSize', 20)
subplot(2,3,6)
h(1) = plot(times, reshape(lambda_path_sum(1,1:end-1),[],1), 'k-','LineWidth', 2);
hold on
h(2) = plot(times,reshape(lambda_path_sum(3,1:end-1),[],1), 'k--','LineWidth', 2);
h(3) = plot(times,reshape(lambda_path_sum(5,1:end-1),[],1), 'r', 'LineWidth', 2);
h(4) = plot(times,reshape(lambda_path_sum(4,1:end-1),[],1), 'b:', 'LineWidth', 2);
h(5) = plot(times5,reshape(lambda_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5);
h(6) = plot([1990 1995],reshape(lambda_path_sum(1,1:5:6),[],1),'ko-',  'LineWidth', 2, 'MarkerSize', 5);
title('\lambda^Y', 'FontSize', 20)

l=legend(h([6 2 3 4]), 'Benchmark', 'No K tax', 'No G tax', 'No C tax');
legend boxoff
set(l,'FontSize',12); 

%%
figure(3)
time3 = 1:32; % smaller range because p reaches one
times3n = 1990:2021;
subplot(3,3,1)
plot(times3n, reshape(b_path_sum(6,time3)./y_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('b^G/y', 'FontSize', 20)
subplot(3,3,2)
plot(times3n, log(reshape(y_path_sum(6,time3),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(6,1:30),[],1))), 'LineWidth', 2)
hold on
title('y', 'FontSize', 20)
subplot(3,3,3)
plot(times3n, log(reshape(i_path_sum(6,time3),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(6,1:30),[],1))), 'LineWidth', 2)
hold on
title('i', 'FontSize', 20)
subplot(3,3,7)
plot(times3n, reshape(CDS_path_sum(6,time3),[],1), 'LineWidth', 2)
hold on
title('CDS', 'FontSize', 20)
subplot(3,3,8)
plot(times3n, reshape(p_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('Crisis prob', 'FontSize', 20)
subplot(3,3,9)
plot(times3n, reshape(lambda_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('\lambda^Y', 'FontSize', 20)
subplot(3,3,4)
plot(times3n, reshape(spreadrg_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('R^G-1', 'FontSize', 20)
subplot(3,3,5)
plot(times3n, reshape(spreadrk_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('R^K-R^G', 'FontSize', 20)
subplot(3,3,6)
h(1)=plot(times3n, reshape(spreadrd_path_sum(6,time3),[],1), 'LineWidth', 2);
hold on
title('R^D-R^G', 'FontSize', 20)

subplot(3,3,1)
plot(times(1:30), B_Y_tab(2,16:end), 'ko-')
subplot(3,3,2)
plot(times(1:30),Y_tab(3,16:end), 'ko-')
subplot(3,3,3)
plot(times(1:30),I_tab(3,16:end), 'ko-')
subplot(3,3,7)
plot(times(1:30),data.CDSspread(16:end), 'ko-');
xlim([1990 2030])
ylim([-0.02 0.5])
subplot(3,3,4)
plot(times(1:30),data.bondspread(16:end), 'ko-');
ylim([-0.05 0.15])
subplot(3,3,5)
plot(times(1:30),data.creditspread(16:end), 'ko-')
%ylim([-0.02 0.05])
subplot(3,3,6)
h(3)=plot(times(1:30),data.depositspread(16:end), 'ko-');
%ylim([-0.02 0.04])

hold off

l=legend(h([1, 3]), 'All G tax', 'Data');

legend boxoff
set(l,'FontSize',14); 



%%
figure(4)
subplot(2,3,1)
plot(times,reshape(b_path_sum(1,1:end-1)./y_path_sum(1,1:end-1),[],1),'k', 'LineWidth', 2)
hold on
plot(times,reshape(b_path_sum(7,1:end-1)./y_path_sum(7,1:end-1),[],1), 'r', 'LineWidth', 2)
plot(times,reshape(b_path_sum(8,1:end-1)./y_path_sum(8,1:end-1),[],1), 'b:', 'LineWidth', 2)
plot(times5,reshape(b_path_sum(1,1:5:end-1)./y_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5)
title('b^G/y', 'FontSize', 20)
subplot(2,3,2)
plot(times, log(reshape(y_path_sum(1,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))), 'k', 'LineWidth', 2)
hold on
plot(times, log(reshape(y_path_sum(7,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(7,1:30),[],1))), 'r','LineWidth', 2)
plot(times, log(reshape(y_path_sum(8,1:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(8,1:30),[],1))), 'b:','LineWidth', 2)
plot(times5, log(reshape(y_path_sum(1,1:5:end-1),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('y', 'FontSize', 20)
subplot(2,3,3)
plot(times, log(reshape(i_path_sum(1,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))), 'k','LineWidth', 2)
hold on
plot(times, log(reshape(i_path_sum(7,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(7,1:30),[],1))), 'r', 'LineWidth', 2)
plot(times, log(reshape(i_path_sum(8,1:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(8,1:30),[],1))), 'b:', 'LineWidth', 2)
plot(times5, log(reshape(i_path_sum(1,1:5:end-1),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('i', 'FontSize', 20)
subplot(2,3,4)
plot(times,reshape(spreadrg_path_sum(1,1:end-1),[],1),'k-', 'LineWidth', 2);
hold on
plot(times,reshape(spreadrg_path_sum(7,1:end-1),[],1), 'r', 'LineWidth', 2);
plot(times,reshape(spreadrg_path_sum(8,1:end-1),[],1), 'b:', 'LineWidth', 2);
plot(times5,reshape(spreadrg_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5);
title('R^G-1', 'FontSize', 20)
subplot(2,3,5)
plot(times,reshape(spreadrk_path_sum(1,1:end-1),[],1),'k-', 'LineWidth', 2)
hold on
plot(times,reshape(spreadrk_path_sum(7,1:end-1),[],1), 'r', 'LineWidth', 2)
plot(times,reshape(spreadrk_path_sum(8,1:end-1),[],1), 'b:', 'LineWidth', 2)
plot(times5,reshape(spreadrk_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5)
title('R^K-R^G', 'FontSize', 20)
subplot(2,3,6)
h(1) = plot(times, reshape(lambda_path_sum(1,1:end-1),[],1), 'k-','LineWidth', 2);
hold on
h(2) = plot(times,reshape(lambda_path_sum(7,1:end-1),[],1), 'r', 'LineWidth', 2);
h(3) = plot(times,reshape(lambda_path_sum(8,1:end-1),[],1), 'b:', 'LineWidth', 2);
h(4) = plot(times5,reshape(lambda_path_sum(1,1:5:end-1),[],1),'ko', 'MarkerSize', 5);
h(5) = plot([1990 1995],reshape(lambda_path_sum(1,1:5:6),[],1),'ko-',  'LineWidth', 2, 'MarkerSize', 5);
title('\lambda^Y', 'FontSize', 20)

l=legend(h([5 2 3]), 'Benchmark', ['Zero elast of output loss' newline '  (theta1=0)'], ['No depreciation' newline '  (lambdaD=1)'] );
legend boxoff
set(l,'FontSize',12); 

%%
figure(5)
times40 = 1:41;
times5 = 1990:5:2030;
subplot(2,3,1)
plot(times(times40),reshape(b_path_sum(1,times40)./y_path_sum(1,times40),[],1),'k', 'LineWidth', 2)
hold on
plot(times(times40),reshape(b_path_sum(9,times40)./y_path_sum(9,times40),[],1), 'r', 'LineWidth', 2)
plot(times5,reshape(b_path_sum(1,1:5:41)./y_path_sum(1,1:5:41),[],1),'ko', 'MarkerSize', 5)
title('b^G/y', 'FontSize', 20)
subplot(2,3,2)
plot(times(times40), log(reshape(y_path_sum(1,times40),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))), 'k', 'LineWidth', 2)
hold on
plot(times(times40), log(reshape(y_path_sum(9,times40),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(9,1:30),[],1))), 'r','LineWidth', 2)
plot(times5, log(reshape(y_path_sum(1,1:5:41),[],1)) + mean(Y_tab(3,16:42)) - mean(log(reshape(y_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('y', 'FontSize', 20)
subplot(2,3,3)
plot(times(times40), log(reshape(i_path_sum(1,times40),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))), 'k','LineWidth', 2)
hold on
plot(times(times40), log(reshape(i_path_sum(9,times40),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(9,1:30),[],1))), 'r', 'LineWidth', 2)
plot(times5, log(reshape(i_path_sum(1,1:5:41),[],1)) + mean(I_tab(3,16:42)) - mean(log(reshape(i_path_sum(1,1:30),[],1))),'ko', 'MarkerSize', 5)
title('i', 'FontSize', 20)
subplot(2,3,4)
plot(times(times40),reshape(spreadrg_path_sum(1,times40),[],1),'k-', 'LineWidth', 2);
hold on
plot(times(times40),reshape(spreadrg_path_sum(9,times40),[],1), 'r', 'LineWidth', 2);
plot(times5,reshape(spreadrg_path_sum(1,1:5:41),[],1),'ko', 'MarkerSize', 5);
title('R^G-1', 'FontSize', 20)
subplot(2,3,5)
plot(times(times40),reshape(spreadrk_path_sum(1,times40),[],1),'k-', 'LineWidth', 2)
hold on
plot(times(times40),reshape(spreadrk_path_sum(9,times40),[],1), 'r', 'LineWidth', 2)
plot(times5,reshape(spreadrk_path_sum(1,1:5:41),[],1),'ko', 'MarkerSize', 5)
title('R^K-R^G', 'FontSize', 20)
subplot(2,3,6)
h(1) = plot(times(times40), reshape(CDS_path_sum(1,times40),[],1), 'k-','LineWidth', 2);
hold on
h(2) = plot(times(times40),reshape(CDS_path_sum(9,times40),[],1), 'r', 'LineWidth', 2);
h(3) = plot(times5,reshape(CDS_path_sum(1,1:5:41),[],1),'ko', 'MarkerSize', 5);
h(4) = plot([1990 1995],reshape(CDS_path_sum(1,1:5:6),[],1),'ko-',  'LineWidth', 2, 'MarkerSize', 5);
title('CDS', 'FontSize', 20)

l=legend(h([4 2]), 'Benchmark', ['Constant' newline ' crisis prob']);
legend boxoff
set(l,'FontSize',12); 


%%
%{
figure(4)
subplot(2,3,1)
plot(1:T-1,reshape(b_path_sum(1,1:end-1)./y_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(b_path_sum(6,1:end-1)./y_path_sum(6,1:end-1),[],1), 'r', ...
     1:T-1,reshape(b_path_sum(7,1:end-1)./y_path_sum(7,1:end-1),[],1),'b-', 1:T-1,reshape(b_path_sum(8,1:end-1)./y_path_sum(8,1:end-1),[],1), 'm-')
title('b^G/y', 'FontSize', 20)
subplot(2,3,2)
plot(1:T-1,reshape(y_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(y_path_sum(6,1:end-1),[],1), 'r',...
    1:T-1,reshape(y_path_sum(7,1:end-1),[],1), 'b-', 1:T-1,reshape(y_path_sum(8,1:end-1),[],1), 'm-')
title('y', 'FontSize', 20)
subplot(2,3,3)
plot(1:T-1,reshape(i_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(i_path_sum(6,1:end-1),[],1), 'r',...
    1:T-1,reshape(i_path_sum(7,1:end-1),[],1), 'b-', 1:T-1,reshape(i_path_sum(8,1:end-1),[],1), 'm-')
title('i', 'FontSize', 20)
subplot(2,3,4)
plot(1:T-1,reshape(futureTauK0d_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(futureTauK0d_path_sum(6,1:end-1),[],1), 'r',...
    1:T-1,reshape(futureTauK0d_path_sum(7,1:end-1),[],1), 'b-', 1:T-1,reshape(futureTauK0d_path_sum(8,1:end-1),[],1), 'm-')
title({'Expected capital tax rate','in disaster'}, 'FontSize', 16)
subplot(2,3,5)
plot(1:T-1,reshape(spreadrk_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(spreadrk_path_sum(6,1:end-1),[],1), 'r', ...
    1:T-1,reshape(spreadrk_path_sum(7,1:end-1),[],1), 'b-', 1:T-1,reshape(spreadrk_path_sum(8,1:end-1),[],1), 'm-')
title('R^K-R^G', 'FontSize', 20)
subplot(2,3,6)
plot(1:T-1,reshape(spreadrg_path_sum(1,1:end-1),[],1),'k-', 1:T-1,reshape(spreadrg_path_sum(6,1:end-1),[],1), 'r', ...
    1:T-1,reshape(spreadrg_path_sum(7,1:end-1),[],1), 'b-', 1:T-1,reshape(spreadrg_path_sum(8,1:end-1),[],1), 'm-')
title('R^G-1', 'FontSize', 20)

l=legend('K+G tax','Disaster prob less sensitive','(ex ante) Disaster prob low','TFP growth higher');
legend boxoff
set(l,'FontSize',16); 
%}
%%
%{
figure(5)
subplot(2,3,1)
plot(times,reshape(b_path_sum(1,1:end-1)./y_path_sum(1,1:end-1),[],1),'k-')
hold on
plot(times(1:5:end-1),reshape(b_path_sum(1,1:5:end-1)./y_path_sum(1,1:5:end-1),[],1),'k*', 'MarkerSize', 5)
plot(times,reshape(b_path_sum(9,1:end-1)./y_path_sum(9,1:end-1),[],1), 'r--')
plot(times,reshape(b_path_sum(10,1:end-1)./y_path_sum(10,1:end-1),[],1),'b-', 'LineWidth', 2);
title('b^G/y', 'FontSize', 20)
subplot(2,3,2)
plot(times,log(reshape(y_path_sum(1,1:end-1),[],1)/ss_sum(1,4)),'k-')
hold on
plot(times(1:5:end-1),log(reshape(y_path_sum(1,1:5:end-1),[],1)/ss_sum(1,4)),'k*', 'MarkerSize', 5)
plot(times,log(reshape(y_path_sum(9,1:end-1),[],1)/ss_sum(9,4)), 'r--')
plot(times,log(reshape(y_path_sum(10,1:end-1),[],1)/ss_sum(10,4)),'b-', 'LineWidth', 2)
title('y', 'FontSize', 20)
subplot(2,3,3)
plot(times,log(reshape(i_path_sum(1,1:end-1),[],1)/ss_sum(1,2)),'k-')
hold on
plot(times(1:5:end-1),log(reshape(i_path_sum(1,1:5:end-1),[],1)/ss_sum(1,2)),'k*', 'MarkerSize', 5)
plot(times,log(reshape(i_path_sum(9,1:end-1),[],1)/ss_sum(9,2)), 'r--')
plot(times,log(reshape(i_path_sum(10,1:end-1),[],1)/ss_sum(10,2)), 'b-', 'LineWidth', 2)
title('i', 'FontSize', 20)
ylim([-1 1]);
subplot(2,3,4)
plot(times,reshape(p_path_sum(1,1:end-1),[],1),'k-')
hold on
plot(times(1:5:end-1),reshape(p_path_sum(1,1:5:end-1),[],1),'k*', 'MarkerSize', 5)
plot(times,reshape(p_path_sum(9,1:end-1),[],1), 'r--')
plot(times,reshape(p_path_sum(10,1:end-1),[],1), 'b-', 'LineWidth', 2)
title({'Disaster prob'}, 'FontSize', 20)
subplot(2,3,5)
plot(times,reshape(spreadrk_path_sum(1,1:end-1),[],1),'k-')
hold on
plot(times(1:5:end-1),reshape(spreadrk_path_sum(1,1:5:end-1),[],1),'k*', 'MarkerSize', 5)
plot(times,reshape(spreadrk_path_sum(9,1:end-1),[],1), 'r--')
plot(times,reshape(spreadrk_path_sum(10,1:end-1),[],1), 'b-', 'LineWidth', 2)
title('R^K-R^G', 'FontSize', 20)
subplot(2,3,6)
plot(times,reshape(spreadrg_path_sum(1,1:end-1),[],1),'k-')
hold on
plot(times(1:5:end-1),reshape(spreadrg_path_sum(1,1:5:end-1),[],1),'k*', 'MarkerSize', 5);
h(1)=plot(times(1:5:6),reshape(spreadrg_path_sum(1,1:5:6),[],1),'k*-', 'MarkerSize', 5);
h(2)=plot(times,reshape(spreadrg_path_sum(9,1:end-1),[],1), 'r--');
h(3)=plot(times,reshape(spreadrg_path_sum(10,1:end-1),[],1), 'b-', 'LineWidth', 2);
title('R^G-1', 'FontSize', 20)

subplot(2,3,1)
h(4)=plot(times(1:30), B_Y_tab(2,16:end), 'ko-');
subplot(2,3,2)
plot(times(1:30),Y_tab(3,16:end), 'ko-')
subplot(2,3,3)
plot(times(1:30),I_tab(3,16:end), 'ko-')
subplot(2,3,5)
plot(times(1:30),data.creditspread(16:end), 'ko-')
subplot(2,3,6)
plot(times(1:30),data.bondspread(16:end), 'ko-')
hold off

l=legend(h([1:4]), 'Benchmark','+ CF','Full model','Data');
legend boxoff
set(l,'FontSize',16); 
%}

y_contribute = (log(reshape(y_path_sum(10,26),[],1)/ss_sum(10,4))-log(reshape(y_path_sum(10,1),[],1)/ss_sum(10,4)))/(Y_tab(3,end)-Y_tab(3,16))


end

