
% Jacobian Computes two point finite difference Jacobian
% similar to Fernandez et al, modified from MF

% function 
% jac = jacobianfmodnew
x = coeffs_all ;
tol    = eps.^(1/3);  %sets h step size, should not be smallr than eps^(1/3), eps is macine precision.  

h = tol.*max(abs(x),1); %Fernandez sets h to 10e^-8, I follow MF for now. 
%h = 10^(-8); %Fernandez sets h to 10e^-8, I follow MF for now. 
xh1=x+h;
xh0=x-h;
h=xh1-xh0;

%%% as many eqns as unknown:
jac = zeros(length(x),length(x)) ;

%%% make this a parfor
parfor j=1:length(x);  
   xx = x; 
   xx(j) = xh1(j); 
   f1 = function_main_EZnew(xx, kboundREAL, bbound, nodes_k, nodes_b, kbound, bbound, P, DF, DF2) ;
%    f1=feval(f,xx);%,nodes,a_0,a_1,alpha, nu, ncheb,Np,Neps, bk, btfp, delta, mu, sigma, theta, gamma, beta, eta, klowerbound, kupperbound, grideps,probeps, Qd, Qnd, pval,nonnegativity); %evaluate fu
   
   xx(j) = xh0(j); 
   f0 = function_main_EZnew(xx, kboundREAL, bbound, nodes_k, nodes_b, kbound, bbound, P, DF, DF2) ;
   jac(:,j) = (f1-f0)/h(j);
end

jacinv = jac ; %%% perverse