
if P.normal_tax == 1
    coeffs_N   = coeffs_all(1:P.ncheb*P.ncheb) ;
    coeffs_C   = coeffs_all(1*P.ncheb*P.ncheb+1:2*P.ncheb*P.ncheb) ;
    coeffs_U   = coeffs_all(2*P.ncheb*P.ncheb+1:3*P.ncheb*P.ncheb) ; 
    coeffs_QG   = coeffs_all(3*P.ncheb*P.ncheb+1:4*P.ncheb*P.ncheb) ; % government bond price

    coeffs_N   = reshape(coeffs_N,[P.ncheb P.ncheb]) ;
    coeffs_C   = reshape(coeffs_C,[P.ncheb P.ncheb]) ;
    coeffs_U   = reshape(coeffs_U,[P.ncheb P.ncheb]) ;
    coeffs_QG   = reshape(coeffs_QG,[P.ncheb P.ncheb]) ;
else
    %%% argument (this is necessary to use parfor)
    coeffs_N   = coeffs_all(1:P.ncheb*P.ncheb) ;
    coeffs_Nd   = coeffs_all(P.ncheb*P.ncheb+1:2*P.ncheb*P.ncheb) ; %disaster
    coeffs_C   = coeffs_all(2*P.ncheb*P.ncheb+1:3*P.ncheb*P.ncheb) ;
    coeffs_Cd   = coeffs_all(3*P.ncheb*P.ncheb+1:4*P.ncheb*P.ncheb) ;
    coeffs_U   = coeffs_all(4*P.ncheb*P.ncheb+1:5*P.ncheb*P.ncheb) ; 
    coeffs_Ud   = coeffs_all(5*P.ncheb*P.ncheb+1:6*P.ncheb*P.ncheb) ; 
    coeffs_QG   = coeffs_all(6*P.ncheb*P.ncheb+1:7*P.ncheb*P.ncheb) ; % government bond price
    coeffs_QGd   = coeffs_all(7*P.ncheb*P.ncheb+1:8*P.ncheb*P.ncheb) ; % government bond price
    coeffs_lambda   = coeffs_all(8*P.ncheb*P.ncheb+1:9*P.ncheb*P.ncheb) ; % government bond price

    coeffs_N   = reshape(coeffs_N,[P.ncheb P.ncheb]) ;
    coeffs_C   = reshape(coeffs_C,[P.ncheb P.ncheb]) ;
    coeffs_U   = reshape(coeffs_U,[P.ncheb P.ncheb]) ;
    coeffs_QG   = reshape(coeffs_QG,[P.ncheb P.ncheb]) ;
    coeffs_Nd   = reshape(coeffs_Nd,[P.ncheb P.ncheb]) ;
    coeffs_Cd   = reshape(coeffs_Cd,[P.ncheb P.ncheb]) ;
    coeffs_Ud   = reshape(coeffs_Ud,[P.ncheb P.ncheb]) ;
    coeffs_QGd   = reshape(coeffs_QGd,[P.ncheb P.ncheb]) ;
    coeffs_lambda   = reshape(coeffs_lambda,[P.ncheb P.ncheb]) ;
end

