function [x x_draw] = simulate_MC(Qx,grid_x, T, x0)


x_draw = zeros(T,1);
x_draw(1) = x0;

for t = 2:T
    u = rand;
    R = cumsum(Qx(x_draw(t-1),:));
    x_draw(t) = find(R>u,1);
end

x = grid_x(x_draw);

end