
clear all ; close all ; clc ;

load resf ;

figure;
plot(z_1pathBAVG(1:T-1),'k-','LineWidth',2) ;
ylabel('% deviation from BGP','Fontsize',13)
xlabel('Years','Fontsize',13)
axis([1 12 -4 1]) ; grid on ;
hold on ;
plot(i_1pathBpAVG(1:T-1),'b-','LineWidth',2) ;
hold on ;
plot(y_1pathBpAVG(1:T-1),'r-','LineWidth',2) ;
hold on ;
plot(N_1pathBpAVG(1:T-1),'g-','LineWidth',2) ;
plot(c_1pathBpAVG(1:T-1),'m-','LineWidth',2) ;
legend('TFP','I','Y','N','C',4)
axis on ; grid on ;
% print -depsc2  C:\IRFpaperFinal1.eps

%%%%%%%%%%%%%%%%%%%%%
%%% Fin Variables %%%
%%%%%%%%%%%%%%%%%%%%%

figure ;
subplot(2,1,1) ; plot(L_pathAVG(1:T-1),'bo-','LineWidth',2) ;
title('Leverage B/K','Fontsize',13); grid on ; %axis tight ;
axis([1 12 0.5 0.6])
subplot(2,1,2) ; plot(spread1_pathAVG(1:T-1)*10000,'bo-','LineWidth',2) ;
title('Spread','Fontsize',13); grid on ;
ylabel('Basis Points','Fontsize',13)%axis tight ;
axis([1 12 80 120])
xlabel('Years','Fontsize',13)
% print -depsc2  C:\IRFpaperFinal2.eps


figure;
ylabel('% deviation from BGP','Fontsize',13)
xlabel('Years','Fontsize',13)
load resf ; plot(i_1pathBpAVG(1:T-1),'ro-','LineWidth',2) ;
hold on ;
load newirfRBC ; plot(i_1pathBpAVG(1:T-1),'bx-','LineWidth',2) ;
hold on ;
load newirfSC ; plot(i_1pathBpAVG(1:T-1),'gs-','LineWidth',2) ;
hold on ;
load newirfCSTLEV ; plot(i_1pathBpAVG(1:T-1),'kv-','LineWidth',2) ;
hold on ;
plot(zeros(T-1,1),'k-','LineWidth',1.5)
axis([1 12 -5 1]) ; grid on ;
% legend('Benchmark','All-Equity (RBC)','State-Contingent Debt','Fixed Leverage','Fontsize',13,4);
set(gca,'Fontsize',13)
legend('Benchmark','All-Equity (RBC)','State-Contingent Debt','Fixed Leverage',4);
xlabel('Years','Fontsize',13)
ylabel('% deviation from BGP','Fontsize',13)

hold on ; grid on ;
% print -depsc2  C:\IRFpaperFinal3.eps
