


z=zeros(P.ncheb,1);
for i=1:P.ncheb
    z(i,1)=-cos((2*i-1)/(2*P.ncheb)*pi);
end
%rescale the nodes to interval[a,b] since the pol fn polynomial itself is
%between [-1,1]
nodes_k=zeros(P.ncheb,1);
nodes_b=zeros(P.ncheb,1);
for i=1:P.ncheb
    nodes_k(i)=(z(i)+1)*((kupperbound-klowerbound)/2)+klowerbound; %this are the zeros rescaled to the interval.
    nodes_b(i)=(z(i)+1)*((bupperbound-blowerbound)/2)+blowerbound; %this are the zeros rescaled to the interval.
end
%these are the collocation nodes for k between .1*kstar and 3*kstar
klowerboundREAL = min(nodes_k) ;
kupperboundREAL = max(nodes_k) ;
blowerboundREAL = min(nodes_b) ;
bupperboundREAL = max(nodes_b) ;
kboundREAL = [klowerboundREAL kupperboundREAL];
bboundREAL = [blowerboundREAL bupperboundREAL];
    
kpsi=zeros(P.ncheb,P.ncheb);
bpsi=zeros(P.ncheb,P.ncheb);
for j=1:P.ncheb
    kx=(2*(nodes_k(j)-klowerbound)/(kupperbound-klowerbound)-1); %rescaling of the relevant evaluation point.
    bx=(2*(nodes_b(j)-blowerbound)/(bupperbound-blowerbound)-1); %rescaling of the relevant evaluation point.
    for i=1:P.ncheb
        kpsi(i,j)=cos((i-1)*acos(kx));% evaluating each of the ncheb polynomials at x, for all ncheb x.  Ti(x) = cos( i arccons(x) )
        bpsi(i,j)=cos((i-1)*acos(bx));% evaluating each of the ncheb polynomials at x, for all ncheb x.  Ti(x) = cos( i arccons(x) )
    end
end
